﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace WPF___WindowsApplication2
{
    public class ModelView : INotifyPropertyChanged
    {


        private  List<SomeDoubleData> _collection { get; set; }

        public  List<SomeDoubleData> collection
        {
            get { return _collection; }
            set
            {
                if (value != _collection)
                {
                    _collection = value;
                    OnPropertyChanged("collection");
                }
            }
        }
 

        public ModelView()
        {
            collection = new List<SomeDoubleData>();
            collection.Add(new SomeDoubleData {doubleValue = 2.5,IntValue = 1,StringValue = "test1"});
            collection.Add(new SomeDoubleData { doubleValue = 5.5, IntValue = 2, StringValue = "test2" });
            collection.Add(new SomeDoubleData { doubleValue = 5.54, IntValue = 23, StringValue = "test3" });
        }
        public event PropertyChangedEventHandler PropertyChanged;
          protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;

            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
    public class SomeDoubleData
    {
        public double doubleValue { get; set; }
        public string StringValue { get; set; }
        public int IntValue { get; set; }
    }

   
    
}
